Skip to main content
GET
/
v2
/
updates
/
transaction-tree-by-offset
/
{offset}
/v2/updates/transaction-tree-by-offset/{offset}
curl --request GET \
  --url https://api.example.com/v2/updates/transaction-tree-by-offset/{offset} \
  --header 'Authorization: Bearer <token>'
{
  "transaction": {
    "updateId": "<string>",
    "effectiveAt": "<string>",
    "offset": 123,
    "eventsById": {},
    "synchronizerId": "<string>",
    "recordTime": "<string>",
    "commandId": "<string>",
    "workflowId": "<string>",
    "traceContext": {
      "traceparent": "<string>",
      "tracestate": "<string>"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.canton.network/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Ledger API standard JWT token

Path Parameters

offset
integer<int64>
required

Query Parameters

parties
string[]

Response

Provided for backwards compatibility, it will be removed in the Canton version 3.5.0.

transaction
JsTransactionTree · object
required

Required